package PureMessage::Manager::Widget::InfoBox;
use strict;
use Carp;

sub new {
    my $proto = shift;
    my $class = ref($proto) || $proto;
    my %ops = @_;
    my %data;
    $data{msg} = delete $ops{msg} || croak "Missing required parameter msg";
    $data{img} = delete $ops{img} || 'info';
    $data{REQUEST} = delete $ops{REQUEST} || 'undef'; 
    if (%ops) {
	carp "Unknown option $_" for keys %ops
    }
    
    return bless \%data, $class;
}

# required but not used.
sub read_input {}

sub output {
    my $self = shift;
    my $s = '<table cellpadding=4 cellspacing=0 width="100%"><tr><td width="1" class="infoBox"><img src="/img/';
    $s .= $self->{img} . '.gif"></td><td class="infoBox">';
    $s .= $self->{msg} . '</td></tr></table><br>';
    return $s;				
}

1;

