package PureMessage::Manager::Widget::TaskBox;
use strict;
use PureMessage::Manager::Widget;
use PureMessage::Manager::Widget::PaneBox;

our @ISA = qw(PureMessage::Manager::Widget);

sub new {
        my $CLASS = shift;
        $CLASS = ref($CLASS) || $CLASS;
        my $this = $CLASS->SUPER::new(@_);

        bless($this,$CLASS);
        return $this;
}

sub output {
        my $this = shift;
        my $data;
        
        my @bd = buttons(@{$this->get('buttons')},class => 'sidebar');
        for(my $i = 0; $i <= $#bd; $i++) {
                $data .= "$bd[$i]";
                $data .= "\n" unless $i == $#bd;
        }
       
        my $title = $this->get('title');
        $title = '' unless defined $title;
        my $pane = new PureMessage::Manager::Widget::PaneBox( title => $title,
                                                              content => $data,
							      padding => '');
        return $pane->output();
}
    
1;



