package PureMessage::Manager::Widget::ThemeSectionFooter;
use strict;

our @ISA = qw(PureMessage::Manager::Widget);

sub new {
        my $CLASS = shift;
        $CLASS = ref($CLASS) || $CLASS;
        my $this = $CLASS->SUPER::new(@_);

        bless($this,$CLASS);
        return $this;
}

sub output {
        my $this = shift;
        my $data;
        my $tb = $this->get('toolbar');
        if ($tb) {
            $tb = $tb->output() if ref($tb);
            $tb = <<EOT;
            <td>
                <table border="0" cellpadding="0" cellspacing="0">
                <tr>
                    <td class="tableOutline" width="1"><img src="/img/x.gif" width="1" height="1" alt=""></td>
                    <td>$tb</td>
                    <td class="tableOutline" width="1"><img src="/img/x.gif" width="1" height="1" alt=""></td>
                </tr>
                <tr>
                    <td class="tableOutline" colspan="3"><img src="/img/x.gif" width="1" height="1" alt=""></td>
                </tr>
                </table>
            </td>
EOT
        }
        
        $data = <<EOT;
            </td>
        </tr>
	</table>				
    </td>		
    <td class="tableOutline" width="1"><img src="/img/x.gif" width="1" height="1" alt=""></td>
</tr>
<tr>
    <td colspan="3" valign="top">
        <table border="0" cellpadding="0" cellspacing="0" width="100%">
        <tr>
            $tb
            <td valign="top" width="100%">
                <table border="0" cellpadding="0" cellspacing="0" width="100%">
                <tr>
                    <td class="tableOutline" width="1"><img src="/img/x.gif" width="1" height="1" alt=""></td>
                </tr>
                </table>
            </td>
        </tr>
        </table>
    </td>
</tr>
</table>
EOT
        return $data; 
}
    
1;
