package PureMessage::Manager::Widget::ThemeSectionHeader;
use strict;

our @ISA = qw(PureMessage::Manager::Widget);

sub new {
        my $CLASS = shift;
        $CLASS = ref($CLASS) || $CLASS;
        my $this = $CLASS->SUPER::new(@_);

        bless($this,$CLASS);
        return $this;
}

sub output {
        my $this = shift;
        my $data;
        $this->config_default( width => '500');
        my $width = $this->get('width');
        $data = <<EOT;
<table border="0" cellpadding="0" cellspacing="0" width=$width>
<tr>
    <td class="tableOutline" colspan="3"><img src="/img/x.gif" width="1" height="1" alt=""></td>
</tr>
<tr>
    <td class="tableOutline" width="1"><img src="/img/x.gif" width="1" height="1" alt=""></td>
    <td width="100%">
        <table border="0" cellpadding="0" cellspacing="1" width="100%">
        <tr>
            <td class="tableLines">		
EOT
        
        my $title = $this->get('title');
        my $content = $this->get('content');
        my $temp;
        $temp = $content if $content;
        $temp .= $title if $title;
        $data .= '<table border="0" cellpadding="4" cellspacing="1" width="100%">';
        $data .= "<tr><td class=\"tableHeader\" nowrap=\"nowrap\">$temp</td></tr>"
            if $temp;
        $data .= "</table>";
        return $data; 
}
    
1;



